%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Nopaste/Service.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(WWW/Pastebin/PastebinCom/API.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 1.002
%define module_name App-Nopaste-Service-PastebinComAPI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.002
Release: alt1
Summary: App::Nopaste service for www.pastebin.com using their API
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZO/ZOFFIX/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
NAME
    App::Nopaste::Service::PastebinComAPI - App::Nopaste service for
    www.pastebin.com using their API

CONFIGURATION
    To use this App::Nopaste service, you need to setup two environmental
    variables: APP_NOPASTE_PASTEBINCOM_API_KEY and
    APP_NOPASTE_PASTEBINCOM_USER_KEY

  "APP_NOPASTE_PASTEBINCOM_API_KEY"
    The "APP_NOPASTE_PASTEBINCOM_API_KEY" environmental variable needs to
    contain your pastebin.com API key. To obtain the key, create a free
    pastebin.com account, and then go on <http://pastebin.com/api> and the

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE examples
%perl_vendor_privlib/A*

%changelog
* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 1.002-alt1
- initial import by package builder

